<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

use Dedi\SyliusMegamenuPlugin\Enum\EntryTypes;
use Dedi\SyliusMegamenuPlugin\Form\Listener\AdAwareInterface;
use Sylius\Component\Core\Model\TaxonInterface;
use Sylius\Component\Resource\Model\TranslationInterface;

class TaxonCatalogEntry extends Entry implements TaxonCatalogEntryInterface
{
    public function getType(): string
    {
        return EntryTypes::TAXON_CATALOG;
    }

    protected function createTranslation(): TranslationInterface
    {
        return new TaxonCatalogEntryTranslation();
    }

    public function getTaxon(): ?TaxonInterface
    {
        return $this->getTranslation()->getTaxon();
    }

    public function setTaxon(?TaxonInterface $taxon): TaxonCatalogEntryInterface
    {
        $this->getTranslation()->setTaxon($taxon);

        return $this;
    }

    public function getAdImage(): ?string
    {
        return $this->getTranslation()->getAdImage();
    }

    public function setAdImage(?string $adImage): AdAwareInterface
    {
        $this->getTranslation()->setAdImage($adImage);

        return $this;
    }

    public function getAdUrl(): ?string
    {
        return $this->getTranslation()->getAdUrl();
    }

    public function setAdUrl(?string $adUrl): AdAwareInterface
    {
        $this->getTranslation()->setAdUrl($adUrl);

        return $this;
    }
}
